package com.zcxk.service;

import com.zcxk.dto.generalView.DeviceWaterSupply;
import com.zcxk.dto.generalView.WaterSupplyChart;
import com.zcxk.dto.homePage.CompanyCount;
import com.zcxk.dto.homePage.CompanyProduce;
import com.zcxk.dto.homePage.WaterQualityRate;
import com.zcxk.dto.homePage.WaterQualityRateForScene;

import java.util.List;

/**
 * @description
 * @auto wangli
 * @data 2021/2/24 10:42
 */
public interface HomePageReportService {

    //近6月取水量（水源：4）
    //近6月制水量（水厂：3）
    List<DeviceWaterSupply> deviceWaterReportForSixMonth(Integer companyOrgId,String sceneType, Integer parmType);

    //公司投资统计（公司场景）
    CompanyCount countSceneByType(Integer companyOrgId);

    //取水制水售水统计
    CompanyProduce deviceWaterAmount(Integer companyOrgId);

    //水质统计
    WaterQualityRate getWaterQualification(Integer companyOrgId);

    //水库取水15天
    //水库水位15天
    //水厂泵站制水15天
    // 水厂 3 水源 4 水位 12
    List<DeviceWaterSupply> monitorDataFifteenDays(Integer sceneId, String sceneType, Integer parmType);

    //水库水质
    WaterQualityRateForScene waterQualityRateForWaterSource(Integer sceneId);


    //水厂水质合格率
    WaterQualityRateForScene waterQualityRateForWaterFactory(Integer sceneId);
    //泵站水质合格率
    WaterQualityRateForScene waterQualityRateForPumpingStation(Integer sceneId);

    //泵站能耗分析
    //水厂能耗分析
    List<WaterSupplyChart> waterEnergyConsumption(Integer sceneId, String sceneType);

}
